Subject: [Mip6] RE: Comments on draft-ietf-mip6-nemo-v4traversal-05.txt (DSMIP6)

From: "Hesham Soliman" <[email-masked]>
Date: Tue, 20 Nov 2007 00:50:50 +1000

Hi Samita, 

Thanks for the comments and sorry for the late reply but we had the security
issues to deal with. I've incorporated many of your comments. Some responses
below.

 > 1) Please provide a separate section on Applicability of 
 > this protocol.

=> Is this really necessary? I think the scenarios section covers it quite
well. In addition we documented the problem clearly in RFC 4977. 

 > 
 > 2) Currenly MIP4 mobile clients and agents are in deployment; does
 > DSMIP6 suggest that those clients will have to change to be DSMIP6
 > compliant? How does running DSMIP6 be more efficient than 
 > just running
 > MIP6 client in addition to MIP4 client -- given that infrastructure
 > already exists for MIP4 in many deployments.

=> This document does not suggest replacing anything. Regarding the
efficiency issues, the comparison is between running both MIPv4 and MIPv6 Vs
running one protocol. Please see RFC 4977 for the details.

 > 
 > 3) Please clarify in a separate paragraph or section whether DSMIP6
 > intends to replace MIP4 or it only facilitates IPv4 data traffic
 > transfer while MIP6 is in operation. Note if it intends to replace
 > MIP4 as well, then it might add another issue of transitioning of
 > regular MIP4 clients to DS-version one :-)

=> Please see above. This seems more like a deployment/business issue that
we shouldn't get into for a specification.

 > 
 > 4) Is this draft standard track or experimental track (or
 > informational)? If it is standard track then I think this draft needs
 > more editorial changes for clarity and interoperability.
 > 
 > Some details:

=> I've incorporated your comments below. I'm only responding to the ones I
didn't incorporate.

 > Section 2.3.1:
 > In which scenarios a mobileIPv6 capabile node would want to keep
 > corresponding with IPv4 traffic in the IPv6 foreign network? 
 > Does this
 > scenario cover starting a new IPv4 connection in addition to on-going
 > MIp6 connection? Does it support simultaneous mobility 
 > support of IPv4
 > and IPv6 packets as well ?

=> Yes to all of the above.

 > Note it adds complexity; it might be useful to state that the IPv4
 > tunnel, IPv4 home-address, Ipv4 care-of-address are optional 
 > features.

=> Why ? This is the whole point of the specification.

 > 
 > For each section of  2.3.1, 2.3.2, 2.3.2.1, 2.3.2.2 , please provide
 > the inner and outer IP source and destination addresses or provide a
 > pointer to the relevant example at the appendix.

=> The formats for both traffic and signalling are shown later in the
document. Please let us know if they're not clear.

Hesham

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6